.kubeconfig:
  image: louiznk/k8s-tools:1.0.0
  before_script:
    - |
      mkdir -p ${HOME}/.kube
      mv ${KUBECONFIG_FILE} ${HOME}/.kube/config

stages:
  - hello-world
  - deploy-helm-dev
  - deploy-helm-prod

hello-world:
  stage: hello-world
  extends: .kubeconfig
  script:
    - echo "👋 Deploy dans le namespace de test"
    - kubectl create ns test 2>/dev/null || true
    - kubectl apply -n test -f ./01-static-yaml/

helm-dev:
  stage: deploy-helm-dev
  extends: .kubeconfig
  script:
    - echo "👋 Deploy helm dans le namespace helm-dev"
    - kubectl create ns helm-dev 2>/dev/null || true
    - helm template sith-dev --create-namespace -n helm-dev -f 02-helm/values-staging.yaml --set testConnection=false 02-helm/ | kubectl apply -n helm-dev -f -


helm-prod:
  stage: deploy-helm-prod
  extends: .kubeconfig
  script:
    - echo "👋 Deploy helm dans le namespace helm-prod"
    - kubectl create ns helm-prod 2>/dev/null || true
    - helm template sith-prod --create-namespace -n helm-prod -f 02-helm/values-prod.yaml --set testConnection=false 02-helm/ | kubectl apply -n helm-prod -f -
# ...